Bug 112 - Marking of transitions with ill-defined successors
Summary: Marking of transitions with ill-defined successors
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: 3.5.7
Hardware: All All
: P3 enhancement
Assignee: Kim Algreen
URL:
Depends on:
Blocks:
 
Reported: 2004-11-16 14:49 CET by Ulrik Nyman
Modified: 2006-04-11 15:00 CEST (History)
1 user (show)

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrik Nyman 2004-11-16 14:49:21 CET
In the simulator it would be nice if transitions with ill-defined successors
were marked in a special way in the 'Enabled Transitions' list.
Currently one cannot destinguish such transitions from regular transitions. One
way of marking them could be by writing them with grey or red text.
Comment 1 Gerd Behrmann 2004-12-02 11:06:11 CET
Good suggestion. I will work on it when I get time.
Comment 2 Gerd Behrmann 2005-06-29 21:11:36 CEST
Moving bug to 3.5.7, as this is an enhancement bug and only bug fixes are allowed on 3.4.
Comment 3 Gerd Behrmann 2005-08-25 16:20:23 CEST
Mads, this should not be too difficult to implement. Do you want to take a look at it?
Comment 4 Mads Schaarup Andersen 2005-08-26 13:01:32 CEST
I will take a look at it next week.
Comment 5 Gerd Behrmann 2006-02-23 17:05:39 CET
Mads is too busy to work on these things. Robert, I hope you can find some time to do some work on 
these items.
Comment 6 Gerd Behrmann 2006-02-27 14:51:25 CET
Currently, for states with ill-defined successors, no successor is shown in the simulator. An error message 
is shown, but in the future this error message should be refined to include the actual error. However, I 
guess this will not happen for 3.6.
Comment 7 Gerd Behrmann 2006-03-01 11:47:22 CET
Actually, there is another aspect of this bug. The thing that was changed recently was that states in which the successor computation triggered runtime errors like division by zero or assignment out of range would not be shown at all.

However, there is also the situation were we have a transition, but the invariants on the target state cause that state to not exist. Such transitions are still shown in the simulator. In would be nice if they were marked by a different color and a random simulation would avoid them.
Comment 8 Gerd Behrmann 2006-04-11 15:00:18 CEST
Fixed on the trunk from rev. 1712.